TIFFSETTAGEXTENDER(3tiff)

NAME
TIFFSetTagExtender - register the merge function for user defined tags as an extender callback with libtiff

SYNOPSIS

    #include <tiffio.h>

TIFFExtendProc TIFFSetTagExtender(TIFFExtendProc extender)

DESCRIPTION

TIFFSetTagExtender() is used to register the merge function for user defined tags as an extender callback with libtiff. A brief description can be found at Defining Application Tags <#define-application-tags>.

Note: TIFFSetTagExtender() cannot be used to extend custom directories (for example EXIF, GPS or other custom directories). Only the TIFF directory can be extended with additional tags.

SEE ALSO

libtiff <> (3tiff), Defining New TIFF Tags <> (3tiff), TIFFMergeFieldInfo <> (3tiff)

Author
LibTIFF contributors

Copyright
1988-2025, LibTIFF contributors